Technology & System Requirements

requirementsIn order to run nopCommerce, you will need the following installed on your server / computer:


  • Supported operation systems:
    • Windows 10
    • Windows 8
    • Windows 7
    • Windows Server 2008
    • Windows Server 2012
  • Supported web servers:
    • Internet Information Service (IIS) 7.0 or above
  • ASP.NET 4.5 (MVC 5.0)
  • Microsoft .NET Framework 4.5.1 or above
  • Supported databases:
    • MS SQL Server 2008 or above
    • MS SQL Server Compact 4.0 or above
  • Supported browsers:
    • Microsoft Internet Explorer 8 and above (IE6 and IE7 were supported in versions prior 3.60)
    • Mozilla Firefox 2.0 and above
    • Google Chrome 1.x
    • Apple Safari 2.x
  • MS Visual Studio 2012 or above (with MVC 5.0 installed). Required for developers who want to edit source code

If you're going to use multi-store feature with SSL, then Windows Server 2012 with IIS 8 is required because SNI (Server Name Indication) support.

E-COMMERCE CONFERENCE 2017
Learn more